/*
 *  Simple test program to demonstrate configuring and creating a timer.
 */

#include <bsp.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <errno.h>
#include <stdlib.h>

#ifndef _POSIX_TIMERS
#error "rtems is supposed to have timer_create"
#endif

rtems_task Init(
  rtems_task_argument ignored
)
{
  timer_t          timerid = 0;
  struct sigevent  evp;
  int              result;

  evp.sigev_notify = SIGEV_NONE;
  evp.sigev_signo = 1;          /* anything but 0 */
  printf( "\n\n*** POSIX TIMER CREATE ERROR TEST ***\n" );
  result = timer_create( CLOCK_REALTIME, &evp, &timerid );
  if ( result < 0 ) {
    perror("timer creation failed");
    printf("Errno %d\n",errno);
  }
  printf( "*** END OF POSIX TIMER CREATE TEST ***\n" );
  exit( 0 );
}

/* configuration information */

#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER

#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
#define CONFIGURE_MAXIMUM_TASKS 1
/*
 *  rtems/confdefs.h in 4.5.0 does not account for each POSIX timer requiring
 *  a Classic API timer because of the implementation.
 */
#define CONFIGURE_MAXIMUM_POSIX_TIMERS 1
#define CONFIGURE_MAXIMUM_TIMERS 1

#define CONFIGURE_INIT

#include <rtems/confdefs.h>

/* end of file */
